package com.ruoyi.qdtl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备轨迹对象 tl_inspection_device_trail
 * 
 * @author ruoyi
 * @date 2022-03-12
 */
public class TlInspectionDeviceTrail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 巡检器id */
    @Excel(name = "巡检器id")
    private String deviceId;

    /** 巡检器名称 */
    @Excel(name = "巡检器名称")
    private String deviceName;

    /** 巡检器卡号 */
    @Excel(name = "巡检器卡号")
    private String deviceCode;

    /** 巡检点id */
    @Excel(name = "巡检点id")
    private String checkpointId;

    /** 巡检点名称 */
    @Excel(name = "巡检点名称")
    private String checkpointName;

    /** 巡检点卡号 */
    @Excel(name = "巡检点卡号")
    private String checkpointCard;

    /** 经纬度 */
    @Excel(name = "经纬度")
    private String fence;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }
    public void setCheckpointId(String checkpointId) 
    {
        this.checkpointId = checkpointId;
    }

    public String getCheckpointId() 
    {
        return checkpointId;
    }
    public void setCheckpointName(String checkpointName) 
    {
        this.checkpointName = checkpointName;
    }

    public String getCheckpointName() 
    {
        return checkpointName;
    }
    public void setCheckpointCard(String checkpointCard) 
    {
        this.checkpointCard = checkpointCard;
    }

    public String getCheckpointCard() 
    {
        return checkpointCard;
    }
    public void setFence(String fence) 
    {
        this.fence = fence;
    }

    public String getFence() 
    {
        return fence;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("deviceName", getDeviceName())
            .append("deviceCode", getDeviceCode())
            .append("checkpointId", getCheckpointId())
            .append("checkpointName", getCheckpointName())
            .append("checkpointCard", getCheckpointCard())
            .append("fence", getFence())
            .append("createTime", getCreateTime())
            .toString();
    }
}
